import { CommandProps } from '@mobicoop/ddd-library';
import { CreateAdCommand } from '../create-ad/create-ad.command';

/**
 * Ad updates follow the PUT semantics: they replace the entire object.
 * Therefore the update command extends the create command to inherit the same properties
 * and re-use the data transformation logic.
 */
export class UpdateAdCommand extends CreateAdCommand {
  public adId: string;

  constructor(props: CommandProps<UpdateAdCommand>) {
    super(props);
    this.adId = props.adId;
  }
}
