import { DomainEvent } from '@mobicoop/ddd-library';
import { AdEntity } from '../ad.entity';

export abstract class AdDomainEvent extends DomainEvent {
  readonly ad: AdEntity;

  constructor(ad: AdEntity) {
    super({
      metadata: {
        correlationId: ad.id,
        timestamp: Date.now(),
      },
      aggregateId: ad.id,
    });
    this.ad = ad;
  }
}

export class AdUpdatedDomainEvent extends AdDomainEvent {
  constructor(ad: AdEntity) {
    super(ad);
  }
}
